<?xml version="1.0" encoding="UTF-8"?>
<!--
Copyright © 2016 Forschungszentrum Jülich GmbH
All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted under the GNU General Public License v3 and provided that the following conditions are met:
1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

Disclaimer
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

You should have received the GNU GENERAL PUBLIC LICENSE v3 with this file in license.txt but can also be found at http://www.gnu.org/licenses/gpl-3.0.en.html

 -->
<?xml-stylesheet type="text/xsl" href="XML/treeview.xsl"?>
<SimulationModelIncludeFile xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../scripts/XML/SimulaXMLSchema.xsd">
<!-- Simulation File Hannah Schneider entered data from Pitman Chamber experiments in Barley. Potassium values estimated\
 from P Pitman Chamber experiments-->
<!-- Root cortical senescence decreases root metabolic costs and radial water and nutrient transport in barley
submitted to JExBotFeb 2016 -->

<!-- possible configurations:
1) No RCS: set Root time table for root cortical scencence stage to 0
2) RCS reduces root diameter, volume, dry weight. 
3) respiration an nutrient content are reduced automatically, as they are volume/dryweigh dependendent
4) template keeps track of diameter, volume, dw without reductions in cortex 
5) booleans, allows respiration or nutrient content to be competed based on "intact" cortex 
6) effects of RCS on Imax and Radial water content are simply in the tables

 -->

	<SimulaDirective path="/simulationControls">
		<SimulaBase name="corticalSenescence">
			<SimulaConstant name="reduceRespiration" type="bool"> false </SimulaConstant>
			<SimulaConstant name="remobilizeNutrients" type="bool"> false </SimulaConstant>
		</SimulaBase>
	</SimulaDirective>

	<SimulaDirective path="defaults">
		<SimulaConstant name="initialCorticalDiameter" unit="100%">0.59
		</SimulaConstant>
		<SimulaTable name_column1="time since creation"
			unit_column1="day" name_column2="rootCorticalSenescenceStage"
			unit_column2="100%" >
			0 0
			7 0.359
			12 0.468
			18 0.719
			24 0.922
			28 0.969
			33 0.922
			38 0.953
			43 0.969
			48 0.969
			100 1
		</SimulaTable>
		<SimulaTable name_column1="rootCorticalSenescenceStage"
			unit_column1="100%"
			name_column2="reductionInRadialHydraulicConductivityDueToCorticalSenescence"
			unit_column2="100%">
			0.0 0.0
			0.1 0
			0.2 0.131
			0.3 0.602
			0.4 0.611
			0.5 0.791
			0.6 0.87
			0.7 0.844
			0.8 0.897
			0.9 0.886
			1.0 0.905
		</SimulaTable>
		<SimulaDirective path="nitrate">
			<SimulaTable name_column1="rootCorticalSenescenceStage"
				unit_column1="100%" name_column2="reductionInImaxDueToCorticalSenescence"
				unit_column2="100%">
				0 0.0
				0.1 0.0282
				0.2 0.069
				0.3 0.6762
				0.4 0.677
				0.5 0.983
				0.6 0.960
				0.7 0.994
				0.8 0.962
				0.9 0.941
				1.0 0.995
			</SimulaTable>
		</SimulaDirective>
		<SimulaDirective path="phosphorus">
			<SimulaTable name_column1="rootCorticalSenescenceStage"
				unit_column1="100%" name_column2="reductionInImaxDueToCorticalSenescence"
				unit_column2="100%">
				0 0.0
				0.1 0.063
				0.6 0.488
				0.7 0.574
				0.8 0.723
				0.9 0.882
				1.0 0.912
			</SimulaTable>
		</SimulaDirective>
		<SimulaDirective path="potassium">
			<SimulaTable name_column1="rootCorticalSenescenceStage"
				unit_column1="100%" name_column2="reductionInImaxDueToCorticalSenescence"
				unit_column2="100%">
				0 0.0
				0.1 0.063
				0.6 0.488
				0.7 0.574
				0.8 0.723
				0.9 0.882
				1.0 0.912
			</SimulaTable>
		</SimulaDirective>
	</SimulaDirective>


</SimulationModelIncludeFile>

